Mint Tokens

Creates new tokens for an asset and assign them to the reserved wallet address associated to the specified asset.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Process Overview

  1. Create a Multi-Signature Proposal: (Skip this step if you have already created Proposal for Acquire Transaction)
    Create Multi Sig Proposal

    • First, call the Create Multi-Signature Proposal API to generate a proposal record.
    • Set the type as "Mint" and provide the following details:
      • id (the multi sig contract id which is the owner of the token)
      • data (the destination wallet address where tokens will be minted)
      • amount (the number of tokens to mint)
      • assetContractId (the contract ID of the asset to be minted)
  2. Use the Proposal Reference:

    • Save the _id from the created proposal record.
    • Pass this _id as referenceId when calling the Mint Tokens API to send the request..
  3. Sign and Send the Transaction:

    • Use the transaction data rawTransaction from the Mint API response.
    • Sign the transaction using your private keys or wallet.
    • Broadcast the signed transaction to the network for execution.
Body Params
string
required

The chain id of the blockchain

string
required

The wallet address of the user

number
required

Amount of tokens to mint

string
required

The address to mint the token to

string
required

The address of the Token contract

string
required

The address of the Multisig contract

string
required

ID of the Proposal Created in the DB

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json